Bug 118211 - does not configure my laptop screen correctly---ddc probe not complete
does not configure my laptop screen correctly---ddc probe not complete
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-13 12:43 EST by Don Hardaway
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-08 08:32:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lastest log attached (62.31 KB, text/plain)
2004-03-15 12:09 EST, Don Hardaway
no flags Details
here is the log for the r128 driver (37.48 KB, text/plain)
2004-03-15 13:38 EST, Don Hardaway
no flags Details
attached is a manually modified config file (3.03 KB, text/plain)
2004-03-15 14:03 EST, Don Hardaway
no flags Details
lastest log after all changes (37.28 KB, text/plain)
2004-03-15 14:04 EST, Don Hardaway
no flags Details

  None (edit)
Description Don Hardaway 2004-03-13 12:43:46 EST
Description of problem:
anaconda/kudzu still does not do the ddc probe correctly to be able to
configure XFree86 to work on my laptop.

Version-Release number of selected component (if applicable):
Linux version 2.6.3-2.1.253 (bhcompile@porky.devel.redhat.com) (gcc
version 3.3.3 20040216 (Red Hat Linux 3.3.3-2.1)) #1 Tue Mar 9
13:35:40 EST 2004
kudzu-1.1.51-1



How reproducible:
everytime

Steps to Reproduce:
1.do a install
2.
3.
  
Actual results:
can't identify screen

Expected results:
it configures XFConfig correctly.

Additional info:

With every version starting at 9 I have to manually configure XFree86
to make my laptop screen work correctly.  Also the r128 may have
problems also--not sure--I have learned to always use vesa or my
screen may go white and lock my machine up. mharris has been saying
over the past two years he can not identify with hardware--dell or
redhat should help their engineers--it is impossible for them to do
their job without proper support.
Comment 1 Jeremy Katz 2004-03-15 11:28:17 EST
Can you attach an XFree86.log?  We do some log parsing to try to
auto-setup LCDs but it's possible the output has changed subtly.
Comment 2 Don Hardaway 2004-03-15 12:09:29 EST
Created attachment 98540 [details]
lastest log attached
Comment 3 Jeremy Katz 2004-03-15 12:22:11 EST
I need a log when running with the ati driver, not the vesa driver. 
The vesa driver doesn't have the card-specific knowledge to do bit
twiddling and determine what the TFT is.  Also, 'Option "nodri"' in
the video card section is likely to be effective at fixing your
problems with the screen going white and not coming back while not
having the performance penalties associated with the vesa driver.
Comment 4 Don Hardaway 2004-03-15 13:10:26 EST
do you want the ati driver OR the r128. r128 has been the driver that
was used in the past.
Comment 5 Don Hardaway 2004-03-15 13:24:54 EST
just tried again using the 'Option "nodri"' option---No luck--screen
still goes white when logging out
Comment 6 Don Hardaway 2004-03-15 13:38:33 EST
Created attachment 98548 [details]
here is the log for the r128 driver

my screen now will not go down to 1024x768 resolution even though in the
display program it says 1024x768.
Comment 7 Don Hardaway 2004-03-15 14:03:07 EST
Created attachment 98549 [details]
attached is a manually modified config file

Look at what i had to do with the vertical refresh and horizsync upper limits
to get the screen to do 1024x768. Also had to reduce colors from 24 bit to 16
bit.  The config program does not figure any of this out.  You have to manually
do it. I have sent XFConfig files to about 30 people over the last year who
have the c800 dell laptop -- all having the problem with the screen.  I hope
you can fix it.  Somehow windows does it correctly.
Comment 8 Don Hardaway 2004-03-15 14:04:49 EST
Created attachment 98550 [details]
lastest log after all changes

Note You need to log in before you can comment on or make changes to this bug.